# `abacusai.python_plot_function`

## Module Contents

### Classes

`PythonPlotFunction` | Create a Plot for a Dashboard

class abacusai.python_plot_function.PythonPlotFunction(client, notebookId=None, name=None, createdAt=None, functionVariableMappings=None, functionName=None, pythonFunctionId=None, functionType=None, plotName=None, codeSource={})

  Bases: `abacusai.return_class.AbstractApiClass`

  Create a Plot for a Dashboard

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - notebookId (str) – Unique string identifier of the notebook used to spin up the notebook upon creation.

    - name (str) – The name used to identify the algorithm. Only uppercase letters, numbers, and underscores are allowed.

    - createdAt (str) – Date and time when the Python function was created, in ISO-8601 format.

    - functionVariableMappings (dict) – The mappings for function parameters’ names.

    - functionName (str) – The name of the Python function to be used.

    - pythonFunctionId (str) – Unique string identifier of the Python function.

    - functionType (str) – The type of the Python function.

    - plotName (str) – Name of the plot.

    - codeSource (CodeSource) – Info about the source code of the Python function.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict